Subject: Re: bug#13312: 24.3.50; delete selection mode not killing on overwrite

From: Stefan Monnier <[email-masked]>
Date: Thu, 03 Jan 2013 12:10:27 -0500

severity 13312 wishlist
thanks

>> Emacs -Q
>> (delete-selection-mode)
>> Selected text gets deleted on overwriting, rather than killed.

It's the expected behavior, but we could accept patches to optionally
provide the other behavior (tho usually the deleted text is still available
from the "PRIMARY" selection, so the need to put it on the kill-ring is
not that high and could even be reduced further if we provided more
commands to access the last "PRIMARY" selection).

        Stefan